Bug 972741 - Pop-up glass does not cover the menu bar
Pop-up glass does not cover the menu bar
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
unspecified
Unspecified Unspecified
low Severity low
: ---
: 6.0.0
Assigned To: Jan
Zuzana Krejčová
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-10 10:00 EDT by Zuzana Krejčová
Modified: 2016-07-31 21:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:18:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (74.52 KB, image/png)
2013-06-10 10:00 EDT, Zuzana Krejčová
no flags Details

  None (edit)
Description Zuzana Krejčová 2013-06-10 10:00:12 EDT
Created attachment 759211 [details]
screenshot

Description of problem:
When a lengthy operation takes place in either the BRMS or BPMS part of the new kie-ide, a pop-up is shown with "Please wait" message and a glass element covers the current views. This correctly makes the views inoperable. 
The menu bar though isn't covered by this glass. User can click on the menus while the operation is in progress (see screenshot). Such an action can corrupt the GUI.


Version-Release number of selected component (if applicable):
BRMS/BPMS 6, DR5


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 4 Jan 2013-11-22 13:16:07 EST
I believe this is no longer the case, please verify.
Comment 5 Zuzana Krejčová 2013-11-28 05:34:25 EST
(In reply to Jan from comment #4)
> I believe this is no longer the case, please verify.

Yes, I think this has been fixed quite some time ago.
Comment 6 Lukáš Petrovický 2014-02-07 11:15:18 EST
This BZ has been part of the 6.0.0 stream.

Note You need to log in before you can comment on or make changes to this bug.